%This script extracts IRF and confidence bands and produces figures
%2(a)-2(g)
x=[0:1:20]; %x-axis label
shockind=[1:7]';
ymf=zeros(3,21,7);
ylf=ymf;
yhf=ymf;
ymb=ymf;
ylb=ymf;
yhb=ymf;
for kk=1:7 %loop over variables
    
    for jj=1:7 %loop over shocks
        
load IRF_full_spec_mup
m=['mmres' num2str(shockind(jj)) '(:,' num2str(kk) ')']; %string for mean irf
ymf(kk,:,jj)=eval(m); %store mean irf
h=['pc_irf' num2str(shockind(jj)) '(:,2,' num2str(kk) ')']; %string for mean irf
yhf(kk,:,jj)=eval(h); %store high bound
l=['pc_irf' num2str(shockind(jj)) '(:,1,' num2str(kk) ')']; %string for mean irf
ylf(kk,:,jj)=eval(l); %store low bound
clearvars -except y* shockind x jj kk
load IRF_bc_mup
m=['mmres' num2str(shockind(jj)) '(:,' num2str(kk) ')']; %string for mean irf
ymb(kk,:,jj)=eval(m); %store mean irf
h=['pc_irf' num2str(shockind(jj)) '(:,2,' num2str(kk) ')']; %string for mean irf
yhb(kk,:,jj)=eval(h);
l=['pc_irf' num2str(shockind(jj)) '(:,1,' num2str(kk) ')']; %string for mean irf
ylb(kk,:,jj)=eval(l);
clearvars -except y* x shockind jj kk
    end
end

save irf_plot_allmup
%%
v1='Consumption';
v2='Investment';
v3='Output';
v4='Labor hours';
v5='Inflation';
v6='Wage';
v7='Interest rate';

aa1='a';
aa2='a';
aa3='an';
aa4='an';
aa5='a';
aa6='a';
aa7='a';


s1='productivity shock';
s2='risk premium shock';
s3='exogenous spending shock';
s4='investment shock';
s5= 'monetary policy shock';
s6= 'price mark-up shock'; 
s7= 'wage mark-up shock';

g1='i)';
g2='ii)';
g3='iii)';
g4='iv)';
g5='v)';
g6='vi)';
g7='vii)';
x=[0:1:20]; %x-axis label
%

for j=1:7 %variables
    %
    figure(j)
    for i=1:7 %shocks
%       
        subplot(4,2,i);
        plot(x,ymf(j,:,i),'-',x,ymb(j,:,i),'--','Color','k','LineWidth',1);
    
        hold on
ciplot(ylf(j,:,i),yhf(j,:,i),x,[0.5,0.5,0.5]);
alpha(0.5)
ciplot(ylb(j,:,i),yhb(j,:,i),x,'k');
alpha(0.5)
title([ eval(['g' num2str(i)]) ' ' eval(['v' num2str(j)]) ' to ' eval(['aa' num2str(i)]) ' ' eval(['s' num2str(i)])])
plot(x,zeros(1,21),'-','Color','k','LineWidth',1);
title([ eval(['v' num2str(j)]) ' to a ' eval(['s' num2str(i)])])
%ct = camtarget;
%camtarget([ct(1)+0.001*ct(1) ct(2)+0.001 ct(3)]);
    end
  
end
 legend('Posterior mean of impulse response at full spectrum estimates',...
     'Posterior mean of impulse response at business cycle estimates',... 
     '90% posterior interval at full spectrum estimates', '90% posterior interval at business cycle estimates')

