function coef = danielk(weights,mode)
%Function to compute Daniell weights for smoothing periodogram
if numel(weights)>1
    
if mode==0 %compute Daniell coefficients (equal weight)
    
for i=1:numel(weights)
 indexp=['coeff' num2str(i) '=ones(1/weights(' num2str(i) '),1)*weights(' num2str(i) ');'];
eval(indexp); 
end

coef=coeff1;
for j=2:numel(weights)
    indexp2=['coef=conv(coef,coeff' num2str(j) ');']; %make the convolution
    eval(indexp2);
end

else %compute modified Daniell kernel
    
for i=1:numel(weights)
 indexp=['coeff' num2str(i) '=ones(1/weights(' num2str(i) '),1)*weights(' num2str(i) ');'];
eval(indexp); 
eval(['coeff' num2str(i) '(1)=1/2*coeff' num2str(i) '(1);']);
eval(['coeff' num2str(i) '(end)=1/2*coeff' num2str(i) '(end);']);
end 


end    
coef=coeff1;
for j=2:numel(weights)
    indexp2=['coef=conv(coef,coeff' num2str(j) ');']; %make the convolution
    eval(indexp2);
end



else
    
    if mode==0
    coef=ones(1/weights,1)*weights;
    else
        coef=ones(1/weights,1)*weights;
        coef(1,1)=1/2*coef(1,1);
coef(end,1)=1/2*coef(end,1);
    end

end

end