function X=parflagm(theta0)
%Function to see if parameters are within/out of bounds specified in
%SW(2007) Dynare code. Returns 0 if all ok, or 1 otherwise.
%This version checks dynamic and steady state parameters.
load loupm %lower data on lower/upper bounds on parameters
rflag=zeros(length(theta0),1); %blank
for i=1:length(theta0)
rflag(i)=theta0(i)<loupm(i,1)|| theta0(i)>loupm(i,2);
end
X=max(rflag); % either zero if everything ok, or one if something's wrong
end